Name:           lightsoff
Version:        3.8.0
Release:        2%{?dist}
Summary:        GNOME Lightsoff game

License:        GPLv2+ and CC-BY-SA
URL:            https://live.gnome.org/Lightsoff
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.8/%{name}-%{version}.tar.xz

BuildRequires:  clutter-gtk-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool

Obsoletes: gnome-games-extra < 1:3.7.90
Obsoletes: gnome-games-lightsoff < 1:3.7.90

%description
A puzzle played on an 5X5 grid with the aim to turn off all the lights. Each
click on a tile toggles the state of the clicked tile and its non-diagonal
neighbors.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
  touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/HighContrast &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_bindir}/lightsoff
%{_datadir}/applications/lightsoff.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.lightsoff.gschema.xml
%{_datadir}/icons/HighContrast/*/apps/lightsoff.*
%{_datadir}/icons/hicolor/*/apps/lightsoff.*
%{_datadir}/lightsoff


%changelog
* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.0-2
- Obsolete gnome-games-extra (for upgrades from f17)

* Fri Mar 29 2013 Tanner Doshier <doshitan@gmail.com> - 3.8.0-1
- Update to 3.8.0
- Add high contrast icons

* Tue Mar 5 2013 Tanner Doshier <doshitan@gmail.com> - 3.7.90-1
- Initial packaging of standalone lightsoff
